/****************************************************************/
/* pdirfont.c													*/
/*																*/
/* print direction (0 & 180 degrees, incremental scaling)		*/
/*																*/
/* Date : 9-28-89												*/
/****************************************************************/

#include <stdio.h>
#include <fcntl.h>

main()

{ /* beginning of main program */

 /* initialization section */

 char a,b;
 int i, degrees=0;
 FILE *prn;

 prn = fopen("lpt1","w");				/* open lpt1 for writing */


fprintf(prn,"\33E");					/* send down ESC E to reset printer */

fprintf(prn,"\33&l0O");					/* portrait */

fprintf(prn,"\33&a4L");					/* left margin */

/* print direction commands */

degrees=0;

fprintf(prn,"\33&a%dP",degrees);		/* specify deg rotation print direction */

/* portrait printout */

fprintf(prn,"\33(8U");

fprintf(prn,"\33(s1p"
			"10v1s3b"
			"4101T");					/* font select by attribute */

for (i=1;i<38;i=i+2)
{
	fprintf(prn,"\33(s%dV",i);			/* point size designation */

    fprintf(prn,"%d pt CG Times "
				"Bold Italic\n\n\n\r",i);
}

/* print last line of text */

	fprintf(prn,"\33(s%dV",i);			/* point size designation */

    fprintf(prn,"%d pt CG Times "
				"Bold Italic",i);

degrees=180;

fprintf(prn,"\33&a%dP",degrees);		/* specify deg rotation print direction */

fprintf(prn,"\33&a4L");					/* left margin */

fprintf(prn,"\r");

/* reverse portrait printout */

fprintf(prn,"\33(8U");

fprintf(prn,"\33(s1p"
			"10v1s3b"
			"4101T");					/* font select by attribute */

for (i=1;i<38;i=i+2)
{
	fprintf(prn,"\33(s%dV",i);			/* point size designation */

    fprintf(prn,"%d pt CG Times "
				"Bold Italic\n\n\n\r",i);

}
/* print last line of text */

	fprintf(prn,"\33(s%dV",i);			/* point size designation */

    fprintf(prn,"%d pt CG Times "
				"Bold Italic",i);

fprintf(prn,"\f");						/* formfeed */
}

/* end of main program */

