/****************************************************************/
/* pdirvisn.c			           					            */
/*                                                              */
/* print direction (Vision, 4 directions)						*/
/* 						        						        */
/* Date : 9-28-89				            				    */
/****************************************************************/

#include <stdio.h>
#include <fcntl.h>
FILE *prn;

int description();

main()

{ /* beginning of main program */

/* initialization section */

int degrees=0;

prn = fopen("lpt1","w");   				/* open lpt1 for writing */

fprintf(prn,"\33E");         			/* send down ESC E to reset printer */

fprintf(prn,"\33&l0O");       			/* portrait */

fprintf(prn,"\33&l5E");					/* top margin = 5 */

fprintf(prn,"\33&l55F");				/* text length = 55 */

fprintf(prn,"\33&a10L"); 				/* left margin = 10 */

fprintf(prn,"\33(s1p60v1s0b4101T");		/* select 60 pt CG Times Italic */

/* print direction commands */

fprintf(prn,"\33&a6R");					/* cursor position down 6 rows */

fprintf(prn,"\33*p600x600Y");			/* horiz. & vert. cursor position */

degrees=270;

fprintf(prn,"\33&a%dP",degrees);       	/* specify deg rotation print direction */

fprintf(prn,"VISION    ");

degrees=0;

fprintf(prn,"\33&a%dP",degrees);       	/* specify deg rotation print direction */

fprintf(prn,"VISION    ");

degrees=90;

fprintf(prn,"\33&a%dP",degrees);       	/* specify deg rotation print direction */

fprintf(prn,"VISION    ");

degrees=180;

fprintf(prn,"\33&a%dP",degrees);       	/* specify deg rotation print direction */

fprintf(prn,"VISION    ");

degrees=0;

fprintf(prn,"\33&a%dP",degrees);       	/* specify deg rotation print direction */

fprintf(prn,"\n\33*p2700Y");			/* newline, vert. cursor position */

description();

fprintf(prn,"\f");    					/* form feed */

} /* end of main program */

description()
{
fprintf(prn,"\33(s1p12v1s0b4101T");		/* select 12 pt CG Times Italic */

fprintf(prn,"CG Times Italic "
			"in 4 Orientations\n\r(Print Direction Command)");
}